summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-09-23 22:15:50 +0000
committer Eric Hameleers <alien@slackware.com>2019-09-24 08:59:42 +0200
commite9f66c56358ba27b346633a9741fad3cfbe483ac (patch)
treee1601c5aeeec2aadd7c7fc565927180d2b5687b4 /source
parent63442b0649e576c10f99c815252d5604e0a3a2a0 (diff)
downloadcurrent-e9f66c56358ba27b346633a9741fad3cfbe483ac.tar.gz
current-e9f66c56358ba27b346633a9741fad3cfbe483ac.tar.xz
Mon Sep 23 22:15:50 UTC 201920190923221550
a/aaa_elflibs-15.0-x86_64-11.txz: Rebuilt. Upgraded: libelf-0.177.so, libcurl.so.4.6.0, libexpat.so.1.6.10, libglib-2.0.so.0.6200.0, libgmodule-2.0.so.0.6200.0, libgobject-2.0.so.0.6200.0, libgthread-2.0.so.0.6200.0, libstdc++.so.6.0.27, libtdb.so.1.4.2, libusb-1.0.so.0.2.0. Added: libisl.so.21.0.0, libmpc.so.3.1.0. a/kernel-firmware-20190923_417a9c6-noarch-1.txz: Upgraded. d/gcc-9.2.0-x86_64-2.txz: Rebuilt. Recompiled using --with-isl. The isl package is now required. d/gcc-brig-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-g++-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-gdc-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-gfortran-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-gnat-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-go-9.2.0-x86_64-2.txz: Rebuilt. d/gcc-objc-9.2.0-x86_64-2.txz: Rebuilt. l/imagemagick-6.9.10_66-x86_64-1.txz: Upgraded. l/isl-0.21-x86_64-1.txz: Added. Necessary to build GCC with the Graphite loop optimizations. l/libical-3.0.6-x86_64-2.txz: Rebuilt. Rebuilt with -DGOBJECT_INTROSPECTION=true and -DICAL_GLIB_VAPI=true. Thanks to Skaendo. l/v4l-utils-1.18.0-x86_64-1.txz: Upgraded. x/xterm-349-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/aaa_elflibs/aaa_elflibs.SlackBuild2
-rw-r--r--source/a/aaa_elflibs/symlinks-to-tracked-libs3
-rw-r--r--source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp9
-rwxr-xr-xsource/d/gcc/gcc.SlackBuild3
-rwxr-xr-xsource/l/isl/isl.SlackBuild143
-rw-r--r--source/l/isl/isl.url1
-rw-r--r--source/l/isl/slack-desc19
-rwxr-xr-xsource/l/libical/libical.SlackBuild4
8 files changed, 178 insertions, 6 deletions
diff --git a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
index 76260dd44..299aa69e7 100755
--- a/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
+++ b/source/a/aaa_elflibs/aaa_elflibs.SlackBuild
@@ -23,7 +23,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aaa_elflibs
VERSION=${VERSION:-15.0}
-BUILD=${BUILD:-10}
+BUILD=${BUILD:-11}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/a/aaa_elflibs/symlinks-to-tracked-libs b/source/a/aaa_elflibs/symlinks-to-tracked-libs
index e527a6d7f..b9d0c4375 100644
--- a/source/a/aaa_elflibs/symlinks-to-tracked-libs
+++ b/source/a/aaa_elflibs/symlinks-to-tracked-libs
@@ -37,8 +37,6 @@
/usr/lib/libgdbm.so.6
/usr/lib/libglib-2.0.so.0
/usr/lib/libgmodule-2.0.so.0
-/usr/lib/libgmp.so.10
-/usr/lib/libgmpxx.so.4
/usr/lib/libgobject-2.0.so.0
/usr/lib/libgthread-2.0.so.0
/usr/lib/libhistory.so.6
@@ -57,7 +55,6 @@
/usr/lib/libmenuw.so.5
/usr/lib/libmenuw.so.6
/usr/lib/libmm.so.14
-/usr/lib/libmpfr.so.6
/usr/lib/libpanel.so.5
/usr/lib/libpanel.so.6
/usr/lib/libpanelw.so.5
diff --git a/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp b/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp
index 2e0d30830..4d4bea234 100644
--- a/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp
+++ b/source/a/aaa_elflibs/symlinks-to-tracked-libs-tmp
@@ -2,3 +2,12 @@
# like to keep copies of temporarily until we can recompile
# everything that's still using them. Once that happens, they'll
# be dropped from this package.
+#
+# We need these libraries here or we won't be able to recompile gcc
+# after any of them get a shared library .so-version bump:
+/usr/lib/libisl.so.21
+/usr/lib/libmpc.so.3
+/usr/lib/libmpfr.so.6
+/usr/lib/libgmp.so.10
+/usr/lib/libgmpxx.so.4
+#
diff --git a/source/d/gcc/gcc.SlackBuild b/source/d/gcc/gcc.SlackBuild
index 682fab972..03cdcba65 100755
--- a/source/d/gcc/gcc.SlackBuild
+++ b/source/d/gcc/gcc.SlackBuild
@@ -57,7 +57,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gcc
SRCVER=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
VERSION=$(echo $SRCVER | cut -f 1 -d _)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# How many jobs to run in parallel:
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -362,6 +362,7 @@ cat $CWD/slack-desc.gcc-gdc > $PKG10/install/slack-desc
--disable-install-libiberty \
--disable-werror \
--with-gnu-ld \
+ --with-isl \
--verbose \
--with-arch-directory=$LIB_ARCH \
--disable-gtktest \
diff --git a/source/l/isl/isl.SlackBuild b/source/l/isl/isl.SlackBuild
new file mode 100755
index 000000000..716fc8985
--- /dev/null
+++ b/source/l/isl/isl.SlackBuild
@@ -0,0 +1,143 @@
+#!/bin/bash
+
+# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=isl
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7hl ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O3 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure, build, and install:
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
+# Compress info files, if any:
+if [ -d $PKG/usr/info ]; then
+ ( cd $PKG/usr/info
+ rm -f dir
+ gzip -9 *
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS* ChangeLog CHANGES COPYING* LICENSE* NEWS* README* THANKS* TODO* \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/l/isl/isl.url b/source/l/isl/isl.url
new file mode 100644
index 000000000..bfb80fc60
--- /dev/null
+++ b/source/l/isl/isl.url
@@ -0,0 +1 @@
+http://isl.gforge.inria.fr
diff --git a/source/l/isl/slack-desc b/source/l/isl/slack-desc
new file mode 100644
index 000000000..8fdcd80e1
--- /dev/null
+++ b/source/l/isl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+isl: isl (Integer Set Library)
+isl:
+isl: isl is a thread-safe C library for manipulating sets and relations
+isl: of integer points bounded by affine constraints. The descriptions of
+isl: the sets and relations may involve both parameters and existentially
+isl: quantified variables. All computations are performed in exact integer
+isl: arithmetic using GMP.
+isl:
+isl: Homepage: http://isl.gforge.inria.fr
+isl:
+isl:
diff --git a/source/l/libical/libical.SlackBuild b/source/l/libical/libical.SlackBuild
index b5582eddf..e0150a1fd 100755
--- a/source/l/libical/libical.SlackBuild
+++ b/source/l/libical/libical.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libical
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -95,6 +95,8 @@ cmake \
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DGOBJECT_INTROSPECTION=true \
+ -DICAL_GLIB_VAPI=true \
-DSHARED_ONLY:BOOL=true \
.. || exit 1
make $NUMJOBS || make || exit 1